<?php
/**
* Web Application Component Toolkit
*
* @link http://www.phpwact.org/
*
* @author Wact Development Team
* @link http://www.phpwact.org/team
*
* @copyright Copyright 2006, Jeff Moore
* @license http://opensource.org/licenses/mit-license.php MIT
*/

/**
* represents COOKIE parameters.
*/
class Wact_Request_Cookie extends Wact_Request_Parameter {

    function getRawValue() {
        if (isset($_COOKIE[$this->sourceLocation])) {
            return $this->undoMagicSlashing($_COOKIE[$this->sourceLocation]);
        }
    }

    function hasValue() {
        return array_key_exists($this->sourceLocation, $_COOKIE);
    }

}

?>